summaryrefslogtreecommitdiff
path: root/package/ez-ipupdate/files/ezipupdate.init
diff options
context:
space:
mode:
authorThorsten Glaser <tg@mirbsd.org>2014-05-04 00:11:56 +0000
committerWaldemar Brodkorb <wbx@openadk.org>2014-05-04 02:21:31 +0200
commitb7856cc45d5bd5485c805f028722a1961c83a23a (patch)
tree498556c3513f8da6ee9deb79ed1339fb9d44eade /package/ez-ipupdate/files/ezipupdate.init
parentfbfcdd5f26b463f05f51b5004ff2ded269e57e77 (diff)
rename init scripts so their basename matches their enabler variable
Diffstat (limited to 'package/ez-ipupdate/files/ezipupdate.init')
-rw-r--r--package/ez-ipupdate/files/ezipupdate.init28
1 files changed, 28 insertions, 0 deletions
diff --git a/package/ez-ipupdate/files/ezipupdate.init b/package/ez-ipupdate/files/ezipupdate.init
new file mode 100644
index 000000000..4d2da25c8
--- /dev/null
+++ b/package/ez-ipupdate/files/ezipupdate.init
@@ -0,0 +1,28 @@
+#!/bin/sh
+#PKG ez-ipupdate
+#INIT 50
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${ezipupdate:-NO}" = x"NO" && exit 0
+ test x"$ezipupdate" = x"DAEMON" && test -x /bin/mksh && exec mksh -T- $0 start
+ exec sh $0 start
+ ;;
+start)
+ /usr/sbin/ez-ipupdate -c /etc/ez-ipupdate.conf -d
+ ;;
+stop)
+ kill $(pgrep -f /usr/sbin/ez-ipupdate)
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?